copilots:
  - copilotUrn: "urn:not-configured:default"
    modelType: "gpt-4"
    temperature: 0
    isStreaming: true
  - copilotUrn: "urn:dataFabricInsights:visualizationBuilderCopilotUuid"
    modelType: "anthropic.claude-instant-v1"
    temperature: 0
    isStreaming: true
    configuration:
      max_tokens: 4096
    promptTemplateKeys:
      - "recordTypeName"
      - "recordTypeDescription"
      - "fieldNamesAndTypes"
      - "relationshipNamesAndTypes"
      - "datasetResult"
  - copilotUrn: "urn:dataFabricInsights:visualizationBuilderRefinementCopilotUuid"
    modelType: "anthropic.claude-instant-v1"
    temperature: 0
    isStreaming: true
    configuration:
      max_tokens: 4096
    promptTemplateKeys:
      - "recordTypeName"
      - "recordTypeDescription"
      - "fieldNamesAndTypes"
      - "relationshipNamesAndTypes"
      - "datasetResult"
      - "QUESTION"
  - copilotUrn: "urn:pdfToInterface:requestPdfMetadataCopilotUuid"
    modelType: "highest-gpt"
    temperature: 0
    isStreaming: true
  - copilotUrn: "urn:pdfToInterface:requestPdfTitleCopilotUuid"
    modelType: "gpt-4"
    temperature: 0
    isStreaming: true
  - copilotUrn: "urn:pdfToInterface:requestTitleCopilotUuid"
    modelType: "anthropic.claude-3-sonnet-20240229-v1:0"
    temperature: 0.0
    isStreaming: true
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:pdfToInterface:requestSailGenerationCopilotUuid"
    modelType: "highest-gpt"
    temperature: 1
    isStreaming: true
  - copilotUrn: "urn:pdfToInterface:requestSailBodyCopilotUuid"
    modelType: "anthropic.claude-3-sonnet-20240229-v1:0"
    temperature: 0.0
    isStreaming: true
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:studio:dataModelingCopilot"
    modelType: "claude-instant"
    temperature: 0
    isStreaming: false
    promptTemplateKeys:
      - "recordTypeName"
      - "recordTypeDescription"
      - "existingFieldsAndRelationships"
  - copilotUrn: "urn:not-configured:testCaseGenerationUuid"
    modelType: "anthropic.claude-3-sonnet-20240229-v1:0"
    temperature: 0.2
    isStreaming: false
    promptTemplateKeys:
      - "existingTests"
      - "expression"
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:process-insights-generation.suggested-views:processInsightsViewSuggestionCopilotUuid"
    modelType: "anthropic.claude-3-haiku-20240307-v1:0"
    temperature: 0.8
    isStreaming: false
    configuration:
      max_tokens: 4096
